Bug 807001 - openstack-swift-object install config sample for account server
openstack-swift-object install config sample for account server
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: openstack-swift (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 14:05 EDT by Pete Zaitcev
Modified: 2012-04-19 13:34 EDT (History)
9 users (show)

See Also:
Fixed In Version: openstack-swift-1.4.8-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 13:34:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2012-03-26 14:05:39 EDT
Description of problem:

[root@kvm-ni ~]# rpm -qf /usr/share/doc/openstack-swift-object-1.4.4/account-server.conf-sample 
openstack-swift-object-1.4.4-2.el6.noarch

Version-Release number of selected component (if applicable):

1.4.4 and 1.4.6 both affected

How reproducible:

packaging issue, synchronous

Steps to Reproduce:
1. yum install openstack-swift-object
  
Actual results:

Wrong sample config

Expected results:

Correct sample config

Additional info:

--- rpms/SPECS/openstack-swift.spec~	2012-03-26 14:01:31.785365953 -0400
+++ rpms/SPECS/openstack-swift.spec	2012-03-26 14:02:00.514364391 -0400
@@ -298,7 +298,7 @@
 
 %files object
 %defattr(-,root,root,-)
-%doc etc/account-server.conf-sample etc/rsyncd.conf-sample
+%doc etc/object-server.conf-sample etc/rsyncd.conf-sample
 %dir %{_initrddir}/%{name}-object
 %dir %attr(0755, swift, swift) %{_localstatedir}/run/swift/object-server
 %dir %{_sysconfdir}/swift/object-server
Comment 1 Alan Pevec 2012-03-26 17:56:15 EDT
Thanks, noticed and fixed in rawhide 1.4.8 along with some other spec cleanups
http://pkgs.fedoraproject.org/gitweb/?p=openstack-swift.git;a=commitdiff;h=f774d41fdc4973c0d920284f52a5e9282c1db10c

This will be included in the Swift 1.4.8 rebase on EPEL6 (part of getting Openstack Essex to EPEL6).
Comment 2 Fedora Update System 2012-04-02 19:24:53 EDT
openstack-swift-1.4.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openstack-swift-1.4.8-1.el6
Comment 3 Fedora Update System 2012-04-04 23:03:46 EDT
Package openstack-swift-1.4.8-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing openstack-swift-1.4.8-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0965/openstack-swift-1.4.8-1.el6
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-04-19 13:34:01 EDT
openstack-swift-1.4.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.